package com.factory.controller.wx;

import com.factory.base.entity.aggregates.ResponseBean;
import com.factory.base.util.res.ResponseBeanBuilder;
import com.factory.web.entity.vo.res.pad.ini.planlistRes;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 微信小程序端异常统计
 *
 * @author sMArT
 * @version 1.0
 * @date 2021-07-05 3:55 下午
 */
@Api(tags = "微信小程序端")
@RestController
@RequestMapping("/wx/statistics")
@Slf4j
public class StatisticsController {

    @ApiOperation(value = "异常统计")
    @PostMapping("/abnormal")
    public ResponseBean<planlistRes> approval() {

        return ResponseBeanBuilder.ok();
    }
}
