package com.factory.wx.entity.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author sMArT
 * @version 1.0
 * @date 2021-07-15 1:23 下午
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class PlanListReq {

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "计划名称")
    private String name;

    @ApiModelProperty(value = "计划列表页号")
    private int page;

    @ApiModelProperty(value = "计划列表每页数量")
    private int size;
}
